<!--<?php
include_once PrintEot('left');
print <<<EOT
-->
<style type="text/css">
.tr3 .wid{width:40px;text-align:left;}
.open{background:url($imgpath/admin/setfourm/fourm.gif) 0 0 no-repeat;width:12px;height:12px;margin:6px 6px 6px 0;cursor:pointer}
.close{background:url($imgpath/admin/setfourm/fourm.gif) 0 -12px no-repeat;width:12px;height:12px;margin:6px 6px 6px 0;cursor:pointer}
.fourm{line-height:22px;margin-left:6px;}
.fourm span{float:left;background:url($imgpath/admin/setfourm/fourm-one.gif) 0 0 no-repeat;}
.fourm .fourm-one{background-position:left 0;width:40px;height:21px;}
.fourm .fourm-two{background-position:0 -21px;width:40px;height:21px;}
</style>
<!-- <ul id="basictype" class="nav3">
	<li><a style="cursor:pointer" class="two" href="$mname&p=forumtype">版塊類型設置</a></li>
	<li><a style="cursor:pointer" href="$mname&p=setpage"></a></li>
</ul> -->

<h3><b>提示信息</b></h3>
<div class="tr5">
1、設置各個版塊的版塊展示形式<br />
2、某些類型涉及到版塊的<font color="red">允許發表的主題類型</font>,需要具體修改此參數，可到<font color="red">版塊管理</font>里面修改。
</div>
<form action="$basename&" method="post">
	<input type="hidden" name="action" value="fourmtypeset">
	<input type="hidden" name="step" value="2">
	<h3>版塊模板類設置</h3>
	<table width="100%" cellspacing="0" cellpadding="0" style="line-height:25px;">
		<tbody>
			<tr class="tr3">
				<td class="tal">版塊</td>
				<td>模板展示類型</td>
			</tr>
<!--
EOT;
$i = 0;
foreach($threaddb as $thread){
if($thread){print <<<EOT
-->
<!--
EOT;
if($thread[type]=='category'){
$thiscatefid = $thread[fid];
$addclass = $i==0 ? 'class="close fl"' : 'class="open fl"';
print <<<EOT
-->
		</tbody>
		<tr class="tr3">
			<td class="tal"><span id="cate_$thiscatefid" onclick="showListFid('$thiscatefid')" $addclass></span> <span class="fl">$thread[name]</span></td>
			<td><input type="text" class="input" value="$thread[forumtype]" name="catedbs[$thiscatefid]"></td>
		</tr>
<!--
EOT;
}else{
$isspace = str_repeat($space,$thread['type'] == 'forum' ? 0 : ($thread['type'] == 'sub' ? 1 : 2));
print <<<EOT
-->

			<tr class="tr3">
				<td class="tal"><div class="fourm">$isspace<span class="fourm-one"></span>$thread[name]</div></td>
				<td>$thread[forumtype]</td>
			</tr>
<!--
EOT;
}if($thread[type]=='category'){
$style = $i ? "style=\"display:none\"" : "";
$i++;
print <<<EOT
-->
		<tbody id="type_$thread[fid]" $style>
<!--
EOT;
}print <<<EOT
-->

<!--
EOT;
}}print <<<EOT
-->
		</tbody>
	</table>
	<br />
	<center><input type="submit" class="btn" value="提 交" /></center>
</form>
<br />
</div>
<script language="javascript">
function showListFid(fid){
	if (getObj('type_'+fid)) {
		var showfid = getObj('type_'+fid);
		if (showfid.style.display == 'none') {
			showfid.style.display = '';
			getObj('cate_'+fid).className = 'close fl';
		} else {
			showfid.style.display = 'none';
			getObj('cate_'+fid).className = 'open fl';
		}
	}
}
</script>
<!--
EOT;
include_once PrintEot('adminbottom');
?>-->